package com.hw.dms.domain;

import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 附件信息对象 mes_base_attach_info
 *
 * @author Yinq
 * @date 2024-01-26
 */
public class BaseAttachInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long attachId;

    /**
     * 附件编号
     */
    @Excel(name = "附件编号")
    private String attachCode;

    /**
     * 附件名称
     */
    @Excel(name = "附件名称")
    private String attachName;

    /**
     * 附件类别：1-加工图纸；2-SOP；9-其他文件
     */
    @Excel(name = "附件类别")
    private String attachType;

    /**
     * 附件路径
     */
    @Excel(name = "附件路径")
    private String attachPath;

    /**
     * 所属工序
     */
    @Excel(name = "所属工序")
    private Long processId;

    /**
     * 激活标识
     */
    @Excel(name = "激活标识")
    private String activeFlag;

    /**附件ID,多个以,隔开*/
    private String attachIdStr;

    /** 是否已下发图纸，下发dispatchFlag为true，下发dispatchFlag为true,默认为false*/
    private boolean dispatchFlag = false;

    private String url;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public void setAttachId(Long attachId) {
        this.attachId = attachId;
    }

    public Long getAttachId() {
        return attachId;
    }

    public void setAttachCode(String attachCode) {
        this.attachCode = attachCode;
    }

    public String getAttachCode() {
        return attachCode;
    }

    public void setAttachName(String attachName) {
        this.attachName = attachName;
    }

    public String getAttachName() {
        return attachName;
    }

    public void setAttachType(String attachType) {
        this.attachType = attachType;
    }

    public String getAttachType() {
        return attachType;
    }

    public void setAttachPath(String attachPath) {
        this.attachPath = attachPath;
    }

    public String getAttachPath() {
        return attachPath;
    }

    public void setProcessId(Long processId) {
        this.processId = processId;
    }

    public Long getProcessId() {
        return processId;
    }

    public void setActiveFlag(String activeFlag) {
        this.activeFlag = activeFlag;
    }

    public String getActiveFlag() {
        return activeFlag;
    }

    public String getAttachIdStr() {
        return attachIdStr;
    }

    public void setAttachIdStr(String attachIdStr) {
        this.attachIdStr = attachIdStr;
    }

    public boolean isDispatchFlag() {
        return dispatchFlag;
    }

    public void setDispatchFlag(boolean dispatchFlag) {
        this.dispatchFlag = dispatchFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("attachId", getAttachId())
                .append("attachCode", getAttachCode())
                .append("attachName", getAttachName())
                .append("attachType", getAttachType())
                .append("attachPath", getAttachPath())
                .append("processId", getProcessId())
                .append("activeFlag", getActiveFlag())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
